Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 591833 - "yum remove --remove-leaves taskjuggler" removes sudo
Summary: "yum remove --remove-leaves taskjuggler" removes sudo
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-utils
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-13 10:13 UTC by Jens Petersen
Modified: 2014-01-21 23:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 16:19:43 UTC


Attachments (Terms of Use)

Description Jens Petersen 2010-05-13 10:13:05 UTC
Description of problem:
I wanted to try taskjuggler on my machine, but then decided
to uninstall it and since I moved to remove the large kdelibs3
dependency I used remove-with-leaves: and it wants to remove
sudo which is not nice.

Version-Release number of selected component (if applicable):
yum-utils-1.1.26-1

How reproducible:
every time

Steps to Reproduce:
1. yum install taskjuggler
2. yum remove --remove-leaves taskjuggler
  
Actual results:
offers to remove sudo

Expected results:
not to remove sudo program

Additional info:
Further annoying since after sudo is reinstalled its configuration needs to be moved back.

Comment 1 Jens Petersen 2010-05-13 10:15:26 UTC
================================================================================
 Package                 Arch     Version              Repository          Size
================================================================================
Removing:
 arts                    i686     8:1.5.10-12.fc13     @fedora            3.9 M
 audiofile               i686     1:0.2.6-11.fc12      @fedora            254 k
 fedora-kde-icon-theme   noarch   0.0.2-2.fc13         @fedora             39 k
 kde-filesystem          noarch   4-35.fc13            @fedora            3.7 k
 kde-settings            noarch   4.4-16.fc13          @fedora             70 k
 kdelibs-common          i686     6:4.4.2-4.fc13       @fedora            2.7 M
 kdelibs3                i686     3.5.10-23.fc13       @fedora             38 M
 kdepim3-libs            i686     3.5.10-3.fc13        @fedora            2.3 M
 libutempter             i686     1.1.5-4.fc12         installed           36 k
 sudo                    i686     1.7.2p6-1.fc13       @updates-testing   886 k
 taskjuggler             i686     2.4.3-3.fc12         @fedora            1.8 M
Removing for dependencies:
 taskjuggler-libs        i686     2.4.3-3.fc12         @fedora            1.0 M

Comment 2 Jens Petersen 2010-05-13 10:25:19 UTC
Hmm, ok I found --leaves-exclude-bin:

$ sudo yum remove --leaves-exclude-bin remove taskjuggler
:
================================================================================
 Package                 Arch        Version               Repository      Size
================================================================================
Removing:
 taskjuggler             i686        2.4.3-3.fc12          @fedora        1.8 M
Removing for dependencies:
 taskjuggler-libs        i686        2.4.3-3.fc12          @fedora        1.0 M

Maybe I am just optimistically expecting too much from
the plugin or we should separate bin from libs more keenly
in fedora...

Comment 3 James Antill 2010-05-13 14:43:11 UTC
The other thing, on my TODO, is to have a mode (and make it the default) which only removes leaves which have "reason=dep" set in the yumdb.

Comment 4 Jens Petersen 2010-05-13 22:16:11 UTC
Ah that sounds very cool. :)

Comment 5 Bug Zapper 2011-06-02 14:06:09 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Jens Petersen 2011-06-24 04:48:13 UTC
(In reply to comment #3)
> The other thing, on my TODO, is to have a mode (and make it the default) which
> only removes leaves which have "reason=dep" set in the yumdb.

Did it get any closer to the top of your list? :)

I just tried "yum remove --remove-leaves taskjuggler" in F15
and it didn't attempt to remove sudo at least.  Not sure
if that is because of dependency changes or above? :)

Comment 7 James Antill 2011-06-24 19:35:29 UTC
 Well, I managed to convince someone else to do it ... but, yeh, clean_requirements_on_remove got changed to look at reason, and generally be a lot more clever.
 And remove-with-leaves got changed to look at reason.

Comment 8 Bug Zapper 2011-06-27 16:19:43 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.